## org.apache.tools.ant.taskdefs
Class SQLExec.Transaction

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.SQLExec.Transaction

Enclosing class:
  SQLExec

public class SQLExec.Transaction
extends java.lang.Object

Contains the definition of a new transaction element. Transactions allow several files or blocks of statements to be executed using the same JDBC connection and commit operation in between.

Constructor Summary
`SQLExec.Transaction()`

Method Summary
`void` `addText(java.lang.String sql)`
`void` `setSrc(java.io.File src)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLExec.Transaction

    public SQLExec.Transaction()

Method Detail

### setSrc

    public void setSrc(java.io.File src)

### addText

    public void addText(java.lang.String sql)

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.